Summary: A utility to set/show the host name or domain name
Name: hostname
Version: 2.09
Release: 1.0.0.%{_hhl_build_id}
License: GPL
Group: base
Source: hostname_%{version}.tar.gz
Source1: hostname.tmpl
Patch: hostname-2.07-make.patch
Patch1: hostname-2.09-makefile.patch
%define pkgname hostname
Buildroot: %{_tmppath}/%{pkgname}-root
Prefix: %{_hhl_cross_target_dir}
%define targetroot %{_hhl_cross_target_dir}

%define _mandir	%{targetroot}%{_hhl_target_man_dir}
%define _docdir %{targetroot}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-hostname
Obsoletes : hhl-%{_hhl_target_arch}-hostname

%description
The hostname command can be used to either set or display
the current host or domain name of the system. This name is
used by many of the networking programs to identify the machine.
The domain name is also used by NIS/YP.


%prep
%target_check
%setup -q -n hostname-%{version}
%patch -p1
%patch1 -p1


%build
%target_setup
%make LDFLAGS=-lresolv


%install
rm -rf %{buildroot}
%target_setup
make install BASEDIR=%{buildroot}%{targetroot} INSTALL=install
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/dnsdomainname.1 
gzip -v9 %{buildroot}%{_mandir}/man*/*
ln -s hostname.1.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/dnsdomainname.1.gz
cp COPYRIGHT LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hostname

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{targetroot}/bin/dnsdomainname
%{targetroot}/bin/hostname
%{_mandir}/man*/*

%doc debian/changelog LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hostname


%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Feb 13 2001 Matthew McLean <source@mvista.com>
- First cut


